# uproot.create

Defined in uproot.writing.writable on line 41.

uproot.writing.writable.create(file_path: str | Path | IO, **options)
  Parameters:

    - file_path (str, `pathlib.Path` or file-like object) – The filesystem path of the file to open or an open file.

    - options – See below.

  Opens a local file for writing. Like ROOT’s `"CREATE"` option, this function raises an error (`FileExistsError`) if a file already exists at `file_path`.

  Returns a uproot.WritableDirectory.

  Options (type; default):

  - initial_directory_bytes (int; 256)

  - initial_streamers_bytes (int; 1024)

  - uuid_function (callable; `uuid.uuid1`)

  - compression (uproot.compression.Compression or None): Compression algorithm

  and level for new objects added to the file. Can be updated after creating the uproot.WritableFile. Default is `uproot.ZLIB(1)`.

  See uproot.WritableFile for details on these options.

  Additional options are passed to as `storage_options` to the fsspec filesystem